package net.wanji.opt.synthesis.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2024/11/08 10:10
 */
@TableName("t_strategy_daily_plan_info")
@ApiModel(value = "StrategyDailyPlanInfoEntity", description = "策略管理日计划管理实体")
@Data
public class StrategyDailyPlanInfoEntity {
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("dailyPlanId")
    @TableField("daily_plan_id")
    private Integer dailyPlanId;
    @ApiModelProperty("crossId")
    @TableField("cross_id")
    private String crossId;
    @ApiModelProperty("dailyPlanDetails")
    @TableField("daily_plan_details")
    private String dailyPlanDetails;
}
