package net.wanji.opt.synthesis.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2024/11/13 13:35
 */
@Data
@TableName("t_strategy_factory_info")
@ApiModel(value = "StrategyFactoryEntity", description = "策略库实体")
public class StrategyFactoryEntity {
    @ApiModelProperty("自增Id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("场景")
    @TableField("scene")
    private Integer scene;
    @ApiModelProperty("策略")
    @TableField("strategy_name")
    private String strategyName;
    @ApiModelProperty("策略编号")
    @TableField("strategy_no")
    private String strategyNo;
    @ApiModelProperty("算法厂商")
    @TableField("company")
    private String company;
    @ApiModelProperty("备注")
    @TableField("mark")
    private String mark;
}
