package net.wanji.opt.synthesis.pojo.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/11/29 11:10
 */
@Data
@ApiModel(value = "StrategyHistReq", description = "策略控制历史请求实体")
public class StrategyHistReq {
    @ApiModelProperty("路口编号/干线编号")
    private String id;
    @ApiModelProperty("当前日期，为空查询时间")
    private Date currentDate;
}
