package net.wanji.opt.synthesis.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2024/11/29 11:03
 */
@Data
@ApiModel(value = "StrategyControlHistVO", description = "策略控制操作实体")
public class StrategyControlHistVO {
    @ApiModelProperty("路口编号干线编号")
    private String id;
    @ApiModelProperty("路口名称干线名称")
    private String name;
    @ApiModelProperty("策略号")
    private Integer strategy;
    @ApiModelProperty("策略名称")
    private String strategyName;
    @ApiModelProperty("优化时间")
    private String optTime;
    @ApiModelProperty("优化结果")
    private String result;
    @ApiModelProperty("经纬度")
    private String wkt;
}
