package net.wanji.opt.synthesis.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/11/08 10:02
 * @description 策略管理运行计划管理实体
 */
@TableName("t_strategy_plan_info")
@ApiModel(value = "StrategyPlanInfoEntity", description = "策略管理运行计划管理实体")
@Data
public class StrategyPlanInfoEntity {
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("planId")
    @TableField("plan_id")
    private Integer planId;
    @ApiModelProperty("crossId")
    @TableField("cross_id")
    private String crossId;
    @ApiModelProperty("type")
    @TableField("type")
    private Integer type;
    @ApiModelProperty("startTime")
    @TableField("start_time")
    private Date startTime;
    @ApiModelProperty("endTime")
    @TableField("end_time")
    private Date endTime;
    private Integer status;
    private String company;
    @ApiModelProperty("planDetails")
    @TableField("plan_details")
    private String planDetails;
}
